{
	"description": "Details for exponential decomposition of full waveform data",
	"type": "object",
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Exponential Decomposition",
	"definitions": {
		"channel": {
			"type": "object",
			"required": [
				"delay",
				"scale",
				"parameter"
			],
			"properties": {
				"scale": {
					"description": "amplitude calibration",
					"type": "number"
				},
				"delay": {
					"description": "delay calibration in seconds",
					"type": "number"
				},
				"parameter": {
					"description": "parameters of the syswave exponential sum",
					"type": "object",
					"properties": {
						"B": {
							"description": "imaginary part of amplitude factor in units of full-scale",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"gamma": {
							"description": "decay in 1/second",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"A": {
							"description": "real part of amplitude factor in units of full-scale",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"omega": {
							"description": "angular frequency in Hz",
							"type": "array",
							"items": {
								"type": "number"
							}
						}
					},
					"required": [
						"A",
						"B",
						"gamma",
						"omega"
					]
				},
				"a_lin": {
					"description": "relative linear amplitude range [0..1]",
					"type": "number",
					"maximum": 1,
					"exclusiveMinimum": false,
					"minimum": 0,
					"exclusiveMaximum": false
				}
			}
		}
	},
	"additionalProperties": false,
	"patternProperties": {
		"^[0-9]+$": {
			"description": "one field per channel, field name is channel index",
			"$ref": "#/definitions/channel"
		}
	}
}